additionalProperties:
  formFields:
    - envKey: LDAP_ROOT
      default: dc=example,dc=org
      labelEn: LDAP baseDN
      labelZh: LDAP baseDN
      label:
        en: LDAP baseDN
        ja: LDAP ベースDN
        ms: LDAP baseDN
        pt-br: LDAP baseDN
        ru: LDAP baseDN
        ko: LDAP baseDN
        zh: LDAP baseDN
        zh-Hant: LDAP baseDN
      random: false
      required: true
      type: text
    - envKey: LDAP_ADMIN_USERNAME
      default: admin
      labelEn: LDAP admin username
      labelZh: LDAP 管理员用户名
      label:
        en: LDAP admin username
        ja: LDAP 管理者ユーザー名
        ms: Nama pengguna admin LDAP
        pt-br: Nome de usuário admin LDAP
        ru: Имя пользователя администратора LDAP
        ko: LDAP 관리자 사용자 이름
        zh: LDAP 管理员用户名
        zh-Hant: LDAP 管理員用戶名
      random: false
      required: true
      rule: paramCommon
      type: text
    - envKey: LDAP_ADMIN_PASSWORD
      default: adminpassword
      labelEn: LDAP admin password
      labelZh: LDAP 管理员密码
      label:
        en: LDAP admin password
        ja: LDAP 管理者パスワード
        ms: Kata laluan admin LDAP
        pt-br: Senha do admin LDAP
        ru: Пароль администратора LDAP
        ko: LDAP 관리자 비밀번호
        zh: LDAP 管理员密码
        zh-Hant: LDAP 管理員密碼
      random: true
      required: true
      rule: paramComplexity
      type: password
    - envKey: LDAP_PORT
      default: 1389
      edit: true
      labelEn: LDAP listening port
      labelZh: LDAP 监听端口
      label:
        en: LDAP listening port
        ja: LDAP リスニングポート
        ms: Port pendengaran LDAP
        pt-br: Porta de escuta LDAP
        ru: Порт прослушивания LDAP
        ko: LDAP 수신 포트
        zh: LDAP 监听端口
        zh-Hant: LDAP 監聽埠
      required: true
      rule: paramPort
      type: number